List Target Secure Anchors
curl --request GET \
--url https://api.mindfort.app/v1/targets/{target_id}/secure-anchors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/targets/{target_id}/secure-anchors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/targets/{target_id}/secure-anchors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/targets/{target_id}/secure-anchors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"anchors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_slug": "<string>",
"title": "<string>",
"security_question": "<string>",
"archived": true,
"recertification_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_recertified_at": "2023-11-07T05:31:56Z",
"latest_recertification": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_slug": "<string>",
"summary": "<string>",
"evidence_references": [
{
"source": "<string>",
"observation": "<string>"
}
],
"limitations": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"assessment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_action": "<string>",
"finding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"total": 123,
"limit": 123,
"offset": 123,
"next_cursor": "<string>"
}Coverage
List Target Secure Anchors
GET
/
v1
/
targets
/
{target_id}
/
secure-anchors
List Target Secure Anchors
curl --request GET \
--url https://api.mindfort.app/v1/targets/{target_id}/secure-anchors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/targets/{target_id}/secure-anchors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/targets/{target_id}/secure-anchors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/targets/{target_id}/secure-anchors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"anchors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_slug": "<string>",
"title": "<string>",
"security_question": "<string>",
"archived": true,
"recertification_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_recertified_at": "2023-11-07T05:31:56Z",
"latest_recertification": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_slug": "<string>",
"summary": "<string>",
"evidence_references": [
{
"source": "<string>",
"observation": "<string>"
}
],
"limitations": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"assessment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_action": "<string>",
"finding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"total": 123,
"limit": 123,
"offset": 123,
"next_cursor": "<string>"
}Authorizations
API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.
Path Parameters
Query Parameters
Available options:
passing, failing, blocked, untested Required range:
1 <= x <= 500Required range:
x >= 0Was this page helpful?
⌘I